SDL_GetVersion(3)

NAME
SDL_GetVersion - Get the version of SDL that is linked against your program.

SYNOPSIS
#include <SDL3/SDL_version.h>

int SDL_GetVersion(void);

DESCRIPTION
If you are linking to SDL dynamically, then it is possible that the current version will be different than the version you compiled against. This function returns the current version, while SDL_VERSION is the version you compiled with.

This function may be called safely at any time, even before SDL_Init().

RETURN VALUE
Returns the version of the linked library.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRevision(3)